services:
  conditional_fields.conditions:
    class: Drupal\conditional_fields\Conditions
    arguments: ['@module_handler']
  plugin.manager.conditional_fields_handlers:
    class: Drupal\conditional_fields\ConditionalFieldsHandlersManager
    parent: default_plugin_manager
  conditional_fields.controller:
    class: Drupal\conditional_fields\Controller\ConditionalFieldController
    arguments: ['@entity_type.manager', '@form_builder', '@entity_type.bundle.info', '@entity_field.manager']
  conditional_fields.form_helper:
    class: Drupal\conditional_fields\ConditionalFieldsFormHelper
    arguments: ['@plugin.manager.element_info', '@plugin.manager.conditional_fields_handlers']
